### Method

# FwupdPlugin Config set_default

since: 2.0.0

#### Declaration [src]

    void
    fu_config_set_default (
      FuConfig* self,
      const gchar* section,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Sets a default config value.

Available since: 2.0.0

#### Parameters

`section`

  Type: `const gchar*`

  A settings section.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A settings key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A settings value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.